ProyectoCrm/src/app/Modulos/PedidoModulo/Paginas/fw-pedidos/Componentes/fw-pedidos-colecciones/fw-pedidos-colecciones.component.html

<div class="Colecciones">
  <div class="Colecciones--Cabecera">
    <div class="col-8">
      <h6 class="Carrito--Cabecera-ColumnaEtiqueta">Colección</h6>
    </div>
    <div class="col-3">
      <h6 class="Carrito--Cabecera-ColumnaEtiqueta">Descuento</h6>
    </div>
    <div class="col-1"></div>
  </div>
  <div class="Colecciones--Detalles">
    <ng-container *ngFor="let tColeccion of tPedido.LColecciones | slice: (tPaginaColecciones-1) * tTamanoPagColecciones : (tPaginaColecciones-1) * tTamanoPagColecciones + tTamanoPagColecciones; let jv = index">
      <div class="Colecciones--Item">
        <div class="col-8">
          <h5 class="Colecciones--Item-Titulo">[ {{ tColeccion.Codcoleccion }} ] - {{ tColeccion.Descripcion }}</h5>
        </div>
        <div class="col-3">
          <h6 class="Colecciones--Item-Descuento">{{ tColeccion.Descuento | currency : tEmpresa.Simbolo }}</h6>
        </div>
        <div class="col-1">
          <button class="Colecciones--Item-btnDetalles" type="button" (click)="AbrirModalDetellaColeccion(tColeccion)"><i class="fas fa-eye"></i></button>
        </div>
      </div>
    </ng-container>
  </div>
  <div class="Colecciones--Paginacion">
    <div class="col-10">
      <button class="btn btn-primary btn-icon-split" type="button" (click)="AbrirModalPedidoColeccion()"><span class="icon text-white-50"><i class="fas fa-plus"></i></span><span class="text">Agregar</span></button>
    </div>
    <div class="col-2">
      <ngb-pagination class="d-flex justify-content-end" [collectionSize]="tPedido.LColecciones.length" [(page)]="tPaginaColecciones" aria-label="Default pagination" [pageSize]="tTamanoPagColecciones" size="sm"></ngb-pagination>
    </div>
  </div>
</div>

ProyectoCrm/src/app/Modulos/PedidoModulo/Paginas/fw-pedidos/Componentes/fw-pedidos-colecciones/fw-pedidos-colecciones.component.pug
div.Colecciones
  div.Colecciones--Cabecera
    div.col-8
      h6.Carrito--Cabecera-ColumnaEtiqueta Colección
    div.col-3
      h6.Carrito--Cabecera-ColumnaEtiqueta Descuento
    div.col-1
  div.Colecciones--Detalles
    ng-container(*ngFor="let tColeccion of tPedido.LColecciones | slice: (tPaginaColecciones-1) * tTamanoPagColecciones : (tPaginaColecciones-1) * tTamanoPagColecciones + tTamanoPagColecciones; let jv = index")
      div.Colecciones--Item
        div.col-8
          h5.Colecciones--Item-Titulo [ {{ tColeccion.Codcoleccion }} ] - {{ tColeccion.Descripcion }}
        div.col-3
          h6.Colecciones--Item-Descuento {{ tColeccion.Descuento | currency : tEmpresa.Simbolo }}
        div.col-1
          button(type="button",
              (click)="AbrirModalDetellaColeccion(tColeccion)").Colecciones--Item-btnDetalles
            i.fas.fa-eye
  div.Colecciones--Paginacion
    div.col-10
      button(type="button",
          (click)="AbrirModalPedidoColeccion()").btn.btn-primary.btn-icon-split
        span.icon.text-white-50
          i.fas.fa-plus
        span.text Agregar
    div.col-2
        ngb-pagination([collectionSize]="tPedido.LColecciones.length",
                                        [(page)]="tPaginaColecciones",
                                        aria-label="Default pagination",
                                        [pageSize]="tTamanoPagColecciones",
                                        size="sm").d-flex.justify-content-end
